# AIEventCompanyBankrupt Class Reference

Event Company Bankrupt, indicating a company has gone bankrupt. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventCompanyBankrupt:

## Public Member Functions

| AIEventCompanyBankrupt (Owner owner)
AICompany::CompanyID | GetCompanyID ()
| Get the CompanyID of the company that has gone bankrupt.

## Static Public Member Functions

static const char * | GetClassName ()
static AIEventCompanyBankrupt * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.

## Private Attributes

AICompany::CompanyID | owner

## Detailed Description

Event Company Bankrupt, indicating a company has gone bankrupt.

Definition at line 401 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventCompanyBankrupt::AIEventCompanyBankrupt | ( | Owner | owner | ) | `[inline]`

Parameters:

  | owner | The company that has gone bankrupt.

Definition at line 408 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventCompanyBankrupt* AIEventCompanyBankrupt::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 418 of file ai_event_types.hpp.

AICompany::CompanyID AIEventCompanyBankrupt::GetCompanyID | ( |  | ) | `[inline]`

Get the CompanyID of the company that has gone bankrupt.

Returns:
  The CompanyID of the company that has gone bankrupt.

Definition at line 424 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp